<nz-modal nzClassName="mb__org--modal" [nzVisible]="showContent" [nzFooter]="null" [nzWidth]="nzWidth" [nzClosable]="false" [nzCentered]="true">
  <ng-container *nzModalContent style="padding: 0px">
    <div nz-row class="content__home">
      <div nz-col nzXs="24" nzLg="8" class="item__home item__home--left">
        <nz-card [nzBordered]="false" nzTitle="{{'common.organization.treeOrg'|translate}}"
                 style="border-radius: 20px 0 0 20px">
          <mb-org-tree (onClickNode)="doSelectTreeNode($event)"></mb-org-tree>
        </nz-card>
      </div>
      <div nz-col nzXs="24" nzLg="16" class="item__home item__home--right">
        <nz-card style="border-left: 1px solid #f0f0f0;border-radius: 0 20px 20px 0" [nzBordered]="false"
                 nzTitle="{{'common.organization.org'|translate}}" [nzExtra]="extraTemplate">
          <div nz-row>
            <mb-input-text nz-col nzXs="24" nzLg="16" [mbShowFlexEnd]="false" mbPrefixIcon="search"
                           mbPlaceholderText="{{'common.organization.search'|translate}}"
                           [(ngModel)]="searchOrgValue"></mb-input-text>
            <mb-button nz-col nzXs="24" nzLg="8" mbPrefixIcon="search"
                       style="margin-top: 4px" mbButtonSize="VERY_LARGE"
                       mbButtonTextColor="#fff" mbButtonType="NO_BORDER" (click)="doSearchOrg()"
                       mbButtonText="{{'common.label.search'|translate}}"
                       mbButtonBgColor="#141ED2"></mb-button>
          </div>
          <nz-table nz-col nzXs="24" nzLg="24" style="margin-top: 16px"
                    #basicTable nzSize="small" [nzData]="data" [nzLoading]="loading"
                    [nzShowPagination]="false">
            <thead>
            <tr>
              <th scope='col' class="text-nowrap" nzWidth="80px">{{'shared.table.stt' | translate}}</th>
              <th scope='col' class="text-nowrap">{{'common.organization.name' | translate}}</th>
              <th scope='col' class="text-nowrap">{{'common.organization.orgManagement' | translate}}</th>
            </tr>
            </thead>
            <tbody>
            <tr (click)="doSelectOrg(data)" class="tr-for-class" *ngFor="let data of basicTable.data ;let i = index;">
              <td
                class="text-nowrap">{{validateService.getRowIndex(i, basicTable.nzPageIndex, basicTable.nzPageSize)}}</td>
              <td class="text-nowrap">{{data.orgName}}</td>
              <td class="text-nowrap">{{data.parentName | truncate : 20}}</td>
            </tr>
            </tbody>
          </nz-table>
          <nz-pagination [nzPageIndex]="1" [nzTotal]="totalData" [nzPageSize]="pageSize"
                         (nzPageIndexChange)="doGetByParentNode(parentId,$event)"
                         [nzShowTotal]="totalTemplate"></nz-pagination>
          <ng-template #totalTemplate let-total>Total {{ total }} items</ng-template>
        </nz-card>
        <ng-template #extraTemplate>
          <button (click)="closeModal()" aria-label="Close" nz-modal-close=""
                  class="ant-modal-close ng-tns-c270-51 ng-star-inserted" style=""><span
            class="ant-modal-close-x"><em nz-icon="" class="anticon ant-modal-close-icon anticon-close ng-star-inserted"
                                         ng-reflect-nz-type="close"><svg viewBox="64 64 896 896" focusable="false"
                                                                         fill="currentColor" width="1em" height="1em"
                                                                         data-icon="close" aria-hidden="true"><path
            d="M563.8 512l262.5-312.9c4.4-5.2.7-13.1-6.1-13.1h-79.8c-4.7 0-9.2 2.1-12.3 5.7L511.6 449.8 295.1 191.7c-3-3.6-7.5-5.7-12.3-5.7H203c-6.8 0-10.5 7.9-6.1 13.1L459.4 512 196.9 824.9A7.95 7.95 0 00203 838h79.8c4.7 0 9.2-2.1 12.3-5.7l216.5-258.1 216.5 258.1c3 3.6 7.5 5.7 12.3 5.7h79.8c6.8 0 10.5-7.9 6.1-13.1L563.8 512z"></path></svg></em>
           </span></button>
        </ng-template>
      </div>
    </div>
  </ng-container>
</nz-modal>

